corda / net.corda.node.services.identity / InMemoryIdentityService

# InMemoryIdentityService

`@ThreadSafe class InMemoryIdentityService : SingletonSerializeAsToken, IdentityService`

Simple identity service which caches parties and provides functionality for efficient lookup.

### Constructors

<init> | `InMemoryIdentityService()` Simple identity service which caches parties and provides functionality for efficient lookup.

### Functions

getAllIdentities | `fun getAllIdentities(): Iterable<Party>` Get all identities known to the service. This is expensive, and partyFromKey or partyFromName should be used in preference where possible.
partyFromAnonymous | `fun partyFromAnonymous(party: AnonymousParty): Party?` `fun partyFromAnonymous(partyRef: PartyAndReference): Party?`
partyFromKey | `fun partyFromKey(key: CompositeKey): Party?`
partyFromName | `fun partyFromName(name: String): Party?`
registerIdentity | `fun registerIdentity(party: Party): Unit`

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`